- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::RestoFilterConvergenceCheck Class Reference

Convergence check for the restoration phase as called by the filter. More...

`#include <IpRestoFilterConvCheck.hpp>`

Inheritance diagram for Ipopt::RestoFilterConvergenceCheck:

[legend]
Collaboration diagram for Ipopt::RestoFilterConvergenceCheck:

[legend]
List of all members.

## Public Member Functions
void | SetOrigFilterLSAcceptor (const FilterLSAcceptor &orig_filter_ls_acceptor)
| Set the object for the original filter line search.
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual ConvergenceStatus | CheckConvergence (bool call_intermediate_callback=true)
| overloaded from ConvergenceCheck
Constructors/Destructors
| RestoFilterConvergenceCheck ()
| Default Constructor.
virtual | ~RestoFilterConvergenceCheck ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods used by IpoptType.
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoFilterConvergenceCheck (const RestoFilterConvergenceCheck &)
| Copy Constructor.
void | operator= (const RestoFilterConvergenceCheck &)
| Overloaded Equals Operator.
## Private Attributes
bool | first_resto_iter_
| Flag indicating that this is the first call.
const FilterLSAcceptor * | orig_filter_ls_acceptor_
| Strategy object for the filter line search method for the original NLP.
Algorithmic parameters
Number | kappa_resto_
| Fraction of required reduction in infeasibility before problem is considered to be solved.
Index | maximum_iters_
| Maximum number of iterations in restoration phase.

## Detailed Description

Convergence check for the restoration phase as called by the filter.

This inherits from the OptimalityErrorConvergenceCheck so that the method for the regular optimality error convergence criterion can be checked as well. In addition, this convergence check returns the CONVERGED message, if the current iteration is acceptable to the original filter.

Since this object needs to know about the original NLP, it also inherits from RestoProblemCoupler, so that the restoration phase object can call the SetObjs method to set the corresponding pointers before the Initilize for the restoration phase algorithm is called.

Definition at line 31 of file IpRestoFilterConvCheck.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoFilterConvergenceCheck::RestoFilterConvergenceCheck | ( |  | ) |

Default Constructor.

virtual Ipopt::RestoFilterConvergenceCheck::~RestoFilterConvergenceCheck | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::RestoFilterConvergenceCheck::RestoFilterConvergenceCheck | ( | const RestoFilterConvergenceCheck & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

void Ipopt::RestoFilterConvergenceCheck::SetOrigFilterLSAcceptor | ( | const FilterLSAcceptor & | orig_filter_ls_acceptor | ) |

Set the object for the original filter line search.

Here, filter_line_search must be the same strategy object to which the restoration phase object with this object is given. This method must be called to finish the definition of the algorithm, before Initialize is called.

virtual bool Ipopt::RestoFilterConvergenceCheck::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

virtual ConvergenceStatus Ipopt::RestoFilterConvergenceCheck::CheckConvergence | ( | bool | call_intermediate_callback = `true` | ) | `[virtual]`

overloaded from ConvergenceCheck

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

static void Ipopt::RestoFilterConvergenceCheck::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods used by IpoptType.

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

void Ipopt::RestoFilterConvergenceCheck::operator= | ( | const RestoFilterConvergenceCheck & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

Number Ipopt::RestoFilterConvergenceCheck::kappa_resto_`[private]`

Fraction of required reduction in infeasibility before problem is considered to be solved.

Definition at line 80 of file IpRestoFilterConvCheck.hpp.

Index Ipopt::RestoFilterConvergenceCheck::maximum_iters_`[private]`

Maximum number of iterations in restoration phase.

Definition at line 82 of file IpRestoFilterConvCheck.hpp.

bool Ipopt::RestoFilterConvergenceCheck::first_resto_iter_`[private]`

Flag indicating that this is the first call.

We don't want to leave the restoration phase without taking at least one step, so this flag is used to ensure this.

Definition at line 88 of file IpRestoFilterConvCheck.hpp.

const FilterLSAcceptor* Ipopt::RestoFilterConvergenceCheck::orig_filter_ls_acceptor_`[private]`

Strategy object for the filter line search method for the original NLP.

CAREFUL: We must not hold on to this object with a SmartPtr, because have otherwise circular references that prevent the destructor of the line search object to be called!

Definition at line 95 of file IpRestoFilterConvCheck.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpRestoFilterConvCheck.hpp